(function($){
    $.fn.setCursorToTextEnd = function() {
        $initialVal = this.val();
        this.val($initialVal + ' ');
        this.val($initialVal);
    };
})(jQuery);
$(document).on('change', '.upload', function() {
		var path = this.value;
		var filename = path.replace(/^.*\\/, "");
		$("#input-upload").val(filename);
});
	
$(document).ready(function(){
	
	$('#btn-submit').click(function(){
		$("#charging").css('display', 'block');
		$("#result").html("");
		var data = new FormData($("#frm-upload")[0]);
		//console.log(data);
		$.ajax({
			url: '/collaborator/user/upload',
			type: 'POST',
			data: data,
			dataType: 'json',
			mimeType: "multipart/form-data",
			contentType: false,
			processData: false,
			cache: false,
			success: function(data){
				console.log(data)
				$("#charging").css('display', 'none');
				$("#result").html(data);
			},
			error: function(data){
				console.log(data);
			}
		});
		return false;
	});
	
});

function updateInfo() {
    $.ajax({
        url: '/collaborator/collaborator/updateCollaborator/',
        type: 'POST',
        data: $("#frm-update-info").serialize(),
        success: function (data, textStatus, jqXHR)
        {
            result = jQuery.parseJSON(data);
            if (result.success == "1")
            {
				$("#updateInfoSuccess").modal('show');
				$("#close").click(function(){
					window.location.reload(true);
				});
                
            }
            else
            {
				//console.log(result.errors);
                for (var key in result.errors)
                {
					console.log(result.errors[key]['field']);
                    $('#' + result.errors[key]['field']).html(result.errors[key]['content']);
                }
            }
        }
    });
}

function changePassword(collaborator_id)
{
	$('#passwd_old_err').html("");
	$('#passwd_new_err').html("");
	$('#confirm_passwd_new_err').html("");
	$.ajax({
		url: '/collaborator/collaborator/change_password/' + collaborator_id,
		type: 'POST',
		data: $("#frm-change-password").serialize(),
		success: function (data, textStatus, jqXHR)
		{	
			console.log(data);
			result = jQuery.parseJSON(data);
			if (result.success == "1")
			{   
				$("#changePassSuccess").modal('show');
			}
			else
			{
				for (var key in result.errors)
				{
					$('#'+key).html(result.errors[key]);
				}
			}
		}
	});
}
